local addonInfo, privateVars = ...

privateVars.ressources = {

	headers = { dps		= privateVars.langTexts.grid.headerDPS,
				endu	= privateVars.langTexts.grid.headerEndurance,
				dex		= privateVars.langTexts.grid.headerAgility,
				str		= privateVars.langTexts.grid.headerStrength,
				dodge	= privateVars.langTexts.grid.headerDodge,
				hit		= privateVars.langTexts.grid.headerHit,
				atp		= privateVars.langTexts.grid.headerAttackPower,
				crit	= privateVars.langTexts.grid.headerCrit,
				cp		= privateVars.langTexts.grid.headerCritPower,
				armor	= privateVars.langTexts.grid.headerArmor,
				prot	= privateVars.langTexts.grid.headerProtection,
				resiAll = privateVars.langTexts.grid.headerResiAll,
				resiE	= privateVars.langTexts.grid.headerResiEarth,
				resiF	= privateVars.langTexts.grid.headerResiFire,
				resiL	= privateVars.langTexts.grid.headerResiLife,
				resiA	= privateVars.langTexts.grid.headerResiAir,
				resiD	= privateVars.langTexts.grid.headerResiDeath,
				resiW	= privateVars.langTexts.grid.headerResiWater,
				block	= privateVars.langTexts.grid.headerBlock,
				wis		= privateVars.langTexts.grid.headerWisdom,
				int		= privateVars.langTexts.grid.headerIntelligence,
				sp		= privateVars.langTexts.grid.headerSpellPower,
				scrit	= privateVars.langTexts.grid.headerSpellCrit,
				ril		= privateVars.langTexts.grid.headerRIL
	},
	
	contents = {rogue = {	weapon	= {'ril', 'dps', 'endu', 'dex', 'str', 'dodge', 'block', 'hit', 'atp', 'crit', 'cp'},
							armor	= {'ril', 'armor', 'endu', 'dex', 'str', 'dodge', 'block', 'hit', 'atp', 'crit', 'cp', 'prot'},
							acc		= {'ril', 'endu', 'dex', 'str', 'dodge', 'block', 'hit', 'atp', 'crit', 'cp', 'prot', 'resiAll'}},
				warrior = {	weapon	= {'ril', 'dps', 'endu', 'str', 'dex', 'dodge', 'block', 'hit', 'atp', 'crit', 'cp'},
							armor	= {'ril', 'armor', 'endu', 'str', 'dex', 'dodge', 'block', 'hit', 'atp', 'crit', 'cp'},
							acc		= {'ril', 'endu', 'str', 'dex', 'dodge', 'block', 'hit', 'atp', 'crit', 'cp', 'prot', 'resiAll'}},
				cleric = {	weapon	= {'ril', 'dps', 'endu', 'wis', 'int', 'sp', 'scrit', 'cp', 'hit', 'dodge', 'block'},
							armor	= {'ril', 'armor', 'endu', 'wis', 'int', 'sp', 'scrit', 'cp', 'hit', 'dodge', 'block', 'prot'},
							acc		= {'ril', 'endu', 'endu', 'wis', 'int', 'sp', 'scrit', 'cp', 'hit', 'dodge', 'block', 'resiAll'}},
				mage = {	weapon	= {'ril', 'dps', 'endu', 'int', 'wis', 'sp', 'scrit', 'cp', 'hit', 'dodge', 'block',},
							armor	= {'ril', 'armor', 'endu', 'int', 'wis', 'sp', 'crit', 'cp', 'hit', 'dodge', 'block',},
							acc		= {'ril', 'endu', 'endu', 'int', 'wis', 'sp', 'scrit', 'cp', 'hit', 'dodge', 'block', 'resiAll'}}
	},
	
	selection = {['rogue'] = {	{label = privateVars.langTexts.selSlots.selCape, value = 'cape'}, { label = privateVars.langTexts.selSlots.selBelt, value = 'belt'}, {label = privateVars.langTexts.selSlots.selChest, value='chest'},{value='feet',label = privateVars.langTexts.selSlots.selFeet},{value='gloves',label = privateVars.langTexts.selSlots.selGloves},{value='helmet',label = privateVars.langTexts.selSlots.selHelmet},{value='legs',label = privateVars.langTexts.selSlots.selLegs},{value='shoulders',label = privateVars.langTexts.selSlots.selShoulders},
								{label = privateVars.langTexts.selSlots.selNeck, value = 'neck'},  {label = privateVars.langTexts.selSlots.selRing, value = 'ring'},
								{label = privateVars.langTexts.selSlots.selRanged, value = 'Weapon_Ranged'}, {label = privateVars.langTexts.selSlots.selOneHand, value = 'Weapon_Main'}, {label = privateVars.langTexts.selSlots.selOffhand, value = 'Weapon_Off'},
								{label = privateVars.langTexts.selSlots.selSeal, value = 'seal'}, {label = privateVars.langTexts.selSlots.selEarring, value = 'earring'}, {label = privateVars.langTexts.selSlots.selFocus, value = 'Rift Vessel'}
							},
				 ['mage'] = {	{label = privateVars.langTexts.selSlots.selCape, value = 'cape'}, {label = privateVars.langTexts.selSlots.selBelt, value = 'belt'}, {label = privateVars.langTexts.selSlots.selChest, value='chest'},{value='feet',label = privateVars.langTexts.selSlots.selFeet},{value='gloves',label = privateVars.langTexts.selSlots.selGloves},{value='helmet',label = privateVars.langTexts.selSlots.selHelmet},{value='legs',label = privateVars.langTexts.selSlots.selLegs},{value='shoulders',label = privateVars.langTexts.selSlots.selShoulders},
								{label = privateVars.langTexts.selSlots.selNeck, value = 'neck'},  {label = privateVars.langTexts.selSlots.selRing, value = 'ring'},
								{label = privateVars.langTexts.selSlots.selWand, value = 'Weapon_Ranged'}, {label = privateVars.langTexts.selSlots.selStaff, value = 'Weapon_2h'}, {label = privateVars.langTexts.selSlots.selOffhand, value = 'Weapon_Off'}, {label = privateVars.langTexts.selSlots.selOneHand, value = 'Weapon_Main'},
								{label = privateVars.langTexts.selSlots.selSeal, value = 'seal'}, {label = privateVars.langTexts.selSlots.selEarring, value = 'earring'}, {label = privateVars.langTexts.selSlots.selFocus, value = 'Rift Vessel'}
							},
				 ['cleric'] = {	{label = privateVars.langTexts.selSlots.selCape, value = 'cape'}, {label = privateVars.langTexts.selSlots.selBelt, value = 'belt'}, {label = privateVars.langTexts.selSlots.selChest, value='chest'},{value='feet',label = privateVars.langTexts.selSlots.selFeet},{value='gloves',label = privateVars.langTexts.selSlots.selGloves},{value='helmet',label = privateVars.langTexts.selSlots.selHelmet},{value='legs',label = privateVars.langTexts.selSlots.selLegs},{value='shoulders',label = privateVars.langTexts.selSlots.selShoulders},
								 {label = privateVars.langTexts.selSlots.selNeck, value = 'neck'},  {label = privateVars.langTexts.selSlots.selRing, value = 'ring'},
								{label = privateVars.langTexts.selSlots.selWand, value = 'Weapon_Ranged'},{label = privateVars.langTexts.selSlots.selTwoHand, value = 'Weapon_2h'}, {label = privateVars.langTexts.selSlots.selOffhand, value = 'Weapon_Off'}, 
								{label = privateVars.langTexts.selSlots.selShield, value = 'shield'}, {label = privateVars.langTexts.selSlots.selOneHand, value = 'Weapon_Main'},
								{label = privateVars.langTexts.selSlots.selSeal, value = 'seal'}, {label = privateVars.langTexts.selSlots.selEarring, value = 'earring'}, {label = privateVars.langTexts.selSlots.selFocus, value = 'Rift Vessel'}
							},
				 ['warrior'] = {{label = privateVars.langTexts.selSlots.selCape, value = 'cape'}, {label = privateVars.langTexts.selSlots.selBelt, value = 'belt'}, {label = privateVars.langTexts.selSlots.selChest, value='chest'},{value='feet',label = privateVars.langTexts.selSlots.selFeet},{value='gloves',label = privateVars.langTexts.selSlots.selGloves},{value='helmet',label = privateVars.langTexts.selSlots.selHelmet},{value='legs',label = privateVars.langTexts.selSlots.selLegs},{value='shoulders',label = privateVars.langTexts.selSlots.selShoulders},
								{label = privateVars.langTexts.selSlots.selNeck, value = 'neck'},  {label = privateVars.langTexts.selSlots.selRing, value = 'ring'},
								{label = privateVars.langTexts.selSlots.selRanged, value = 'Weapon_Ranged'}, {label = privateVars.langTexts.selSlots.selTwoHand, value = 'Weapon_2h'}, {label = privateVars.langTexts.selSlots.selShield, value = 'shield'}, {label = privateVars.langTexts.selSlots.selOneHand, value = 'Weapon_Main'}, {label = privateVars.langTexts.selSlots.selOffhand, value = 'Weapon_Off'}, 
								{label = privateVars.langTexts.selSlots.selSeal, value = 'seal'}, {label = privateVars.langTexts.selSlots.selEarring, value = 'earring'}, {label = privateVars.langTexts.selSlots.selFocus, value = 'Rift Vessel'}
							}}
}
		